> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List agents

> Retrieve a list of all agents in your organization.



## OpenAPI

````yaml get /v1/flow/agents/
openapi: 3.1.0
info:
  title: SeekrFlow API
  description: SeekrFlow API Documentation
  termsOfService: http://www.seekr.com/support
  contact:
    name: Seekr API Support
    url: http://www.seekr.com/contact
    email: contact@seekr.com
  version: 5.87.1
servers:
  - url: https://flow.seekr.com
    description: SeekrBuild server base URL
security: []
paths:
  /v1/flow/agents/:
    get:
      tags:
        - Agents
      summary: List agents
      description: Retrieve a list of all agents in your organization.
      operationId: list_agents_v1_flow_agents__get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAgentsResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    GetAgentsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/AgentSchema'
          type: array
          title: Data
      type: object
      required:
        - data
      title: GetAgentsResponse
      description: Agents API response type
    AgentSchema:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        instructions:
          type: string
          title: Instructions
        status:
          $ref: '#/components/schemas/AgentStatus'
        model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Id
        output:
          anyOf:
            - $ref: '#/components/schemas/AgentOutputConfig'
            - type: 'null'
        temperature:
          anyOf:
            - type: number
              maximum: 2
              minimum: 0
            - type: 'null'
          title: Temperature
        reasoning_effort:
          $ref: '#/components/schemas/ReasoningEffort'
        planner_temperature:
          anyOf:
            - type: number
              maximum: 2
              minimum: 0
            - type: 'null'
          title: Planner Temperature
        user_id:
          type: string
          title: User Id
        team_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Team Id
        tools:
          items:
            oneOf:
              - $ref: >-
                  #/components/schemas/llm_training__agents__tools__schemas__file_search__FileSearch
              - $ref: >-
                  #/components/schemas/llm_training__agents__tools__schemas__web_search__WebSearch
              - $ref: >-
                  #/components/schemas/llm_training__agents__tools__schemas__run_python__RunPython
              - $ref: >-
                  #/components/schemas/llm_training__agents__tools__schemas__agent_as_tool__AgentAsTool
              - $ref: >-
                  #/components/schemas/llm_training__agents__tools__schemas__mcp_connector__MCPConnectorTool
            discriminator:
              propertyName: name
              mapping:
                agent_as_tool:
                  $ref: >-
                    #/components/schemas/llm_training__agents__tools__schemas__agent_as_tool__AgentAsTool
                file_search:
                  $ref: >-
                    #/components/schemas/llm_training__agents__tools__schemas__file_search__FileSearch
                mcp_connector:
                  $ref: >-
                    #/components/schemas/llm_training__agents__tools__schemas__mcp_connector__MCPConnectorTool
                run_python:
                  $ref: >-
                    #/components/schemas/llm_training__agents__tools__schemas__run_python__RunPython
                web_search:
                  $ref: >-
                    #/components/schemas/llm_training__agents__tools__schemas__web_search__WebSearch
          type: array
          title: Tools
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        last_deployed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Deployed At
        active_duration:
          type: integer
          minimum: 0
          title: Active Duration
          default: 0
      type: object
      required:
        - id
        - name
        - instructions
        - status
        - reasoning_effort
        - user_id
        - team_id
        - created_at
        - updated_at
      title: AgentSchema
    AgentStatus:
      type: string
      enum:
        - Inactive
        - Pending
        - Active
        - Updating
        - Failed
      title: AgentStatus
    AgentOutputConfig:
      properties:
        frequency:
          anyOf:
            - $ref: '#/components/schemas/AgentOutputFrequency'
            - type: 'null'
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
        model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Id
        temperature:
          anyOf:
            - type: number
              maximum: 2
              minimum: 0
            - type: 'null'
          title: Temperature
      type: object
      title: AgentOutputConfig
    ReasoningEffort:
      type: string
      enum:
        - low
        - medium
        - high
        - speed_optimized
        - performance_optimized
      title: ReasoningEffort
    llm_training__agents__tools__schemas__file_search__FileSearch:
      properties:
        name:
          type: string
          const: file_search
          title: Name
        tool_env:
          $ref: '#/components/schemas/FileSearchEnv'
        id:
          type: string
          title: Id
      type: object
      required:
        - name
        - tool_env
      title: FileSearch
    llm_training__agents__tools__schemas__web_search__WebSearch:
      properties:
        name:
          type: string
          const: web_search
          title: Name
        tool_env:
          $ref: '#/components/schemas/WebSearchEnv'
        id:
          type: string
          title: Id
      type: object
      required:
        - name
        - tool_env
      title: WebSearch
    llm_training__agents__tools__schemas__run_python__RunPython:
      properties:
        name:
          type: string
          const: run_python
          title: Name
          default: run_python
        tool_env:
          $ref: '#/components/schemas/RunPythonEnv'
        id:
          type: string
          title: Id
      type: object
      required:
        - tool_env
      title: RunPython
    llm_training__agents__tools__schemas__agent_as_tool__AgentAsTool:
      properties:
        name:
          type: string
          const: agent_as_tool
          title: Name
          default: agent_as_tool
        tool_env:
          $ref: '#/components/schemas/ToolEnv'
          default: {}
        id:
          type: string
          title: Id
        agent_id:
          type: string
          title: Agent Id
        description:
          type: string
          title: Description
      type: object
      required:
        - agent_id
        - description
      title: AgentAsTool
    llm_training__agents__tools__schemas__mcp_connector__MCPConnectorTool:
      properties:
        name:
          type: string
          const: mcp_connector
          title: Name
        tool_env:
          $ref: '#/components/schemas/MCPConnectorToolEnv'
        id:
          type: string
          title: Id
      type: object
      required:
        - name
        - tool_env
      title: MCPConnectorTool
    AgentOutputFrequency:
      type: string
      enum:
        - always
        - never
        - automatic
      title: AgentOutputFrequency
    FileSearchEnv:
      properties:
        FILE_SEARCH_INDEX:
          type: string
          minLength: 1
          title: File Search Index
        EMBEDDING_MODEL:
          anyOf:
            - type: string
            - type: 'null'
          title: Embedding Model
        DOCUMENT_TOOL_DESC:
          type: string
          minLength: 1
          title: Document Tool Desc
        TOP_K:
          type: integer
          maximum: 100
          minimum: 1
          title: Top K
          description: Top K must be >= 1 and <= 100
          default: 10
        SCORE_THRESHOLD:
          type: number
          exclusiveMaximum: 1
          minimum: 0
          title: Score Threshold
          description: Score must be ≥ 0.0 and < 1.0
          default: 0
      type: object
      required:
        - FILE_SEARCH_INDEX
        - DOCUMENT_TOOL_DESC
      title: FileSearchEnv
    WebSearchEnv:
      properties:
        WEB_SEARCH_TOOL_DESCRIPTION:
          anyOf:
            - type: string
            - type: 'null'
          title: Web Search Tool Description
      type: object
      title: WebSearchEnv
    RunPythonEnv:
      properties:
        RUN_PYTHON_TOOL_DESC:
          anyOf:
            - type: string
            - type: 'null'
          title: Run Python Tool Desc
        FUNCTION_IDS:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Function Ids
      type: object
      title: RunPythonEnv
    ToolEnv:
      properties: {}
      type: object
      title: ToolEnv
      description: Base class for tool environments.
    MCPConnectorToolEnv:
      properties:
        URL:
          type: string
          minLength: 1
          title: Url
        TRANSPORT:
          type: string
          enum:
            - sse
            - streamable-http
          title: Transport
          default: streamable-http
        AUTHORIZATION_URL:
          anyOf:
            - type: string
            - type: 'null'
          title: Authorization Url
      type: object
      required:
        - URL
      title: MCPConnectorToolEnv
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Seekr API Key without 'Bearer' Prefix
      in: header
      name: Authorization

````